using System.Text.Json;

namespace AutoScan.Models;

public class Monitor
{
    public string? ke { get; init; }
    public string? name { get; init; }
    public string? mid { get; init; }
    public string? details { get; init; }
    public string? protocol { get; init; }
    public string? host { get; init; }
    public int port { get; init; }
    public string? path { get; init; }

    public MonitorDetail? MonitorDetail => JsonSerializer.Deserialize<MonitorDetail>(details);
}

public class MonitorDetail
{
    public string auto_host { get; set; }
    public string muser { get; set; }
    public string mpass { get; set; }
}